package com.usky.sas.common.enums;

public enum BusinessEnum {
    USER_NOT_EXIST(-1001, "账号不存在"),
    USER_EXIST(-1002, "账号已存在"),
    PASSWORD_ERROR(-1003, "用户名或密码错误"),
    ADD_FAIL(-1004, "新增失败"),
    UPDATE_FAIL(-1005, "更新失败"),
    DELETE_FAIL(-1006, "删除失败"),
    SYSTEM_NOT_ACTIVATION(-1007, "系统未激活"),
    LICENSE_NULL(-1008, "激活码不能为空"),
    LICENSE_EXPIRE(-1009, "系统激活码已过期"),
    UNAUTHORIZED_LICENSE(-1010, "无效激活码"),
    MQTT_CONNECT_FAIL(-1011, "Mqtt连接失败"),
    MQTT_UN_CONNECT(-1012, "Mqtt连接未初始化"),
    MQTT_PAUSE_FAIL(-1013, "暂停Mqtt事件订阅错误"),
    MQTT_RESUME_FAIL(-1014, "恢复Mqtt事件订阅错误"),
    EXIST(-1015, "重复添加"),
    DEVICE_NOT_ACTIVATION(-1016, "设备未激活"),
    DEVICE_ACTIVATION_EXPIRE(-1017, "设备激活已过期"),
    DEVICE_ACTIVATION_FAILED(-1018, "设备激活失败"),
    DEVICE_NOT_LOGIN(-1019, "设备未注册");

    private int code;
    private String description;

    private BusinessEnum(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public int getCode() {
        return this.code;
    }

    public String getDescription() {
        return this.description;
    }
}